local cond_dlb_result= not GAMESTATE:IsPlayerEnabled(PLAYER_1)

local cond_elb_result= not GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "actor_flb",
  Def.ActorFrame{
    Name= "actor_glb",
    OnCommand= cmd(),
    Def.ActorFrame{
      Name= "actor_hlb",
      OnCommand= cmd(),
      Def.Quad{
        Name= "actor_ilb",
        InitCommand= function(self)
		
			--for storing if a button is held down
			mawaru_operation_held = {0,0,0,0,0,0,0,0};
			
			mawaru_operation_spawn = {0,0};
			mawaru_operation_goalpos = {0,0};
			
			mawaru_operation_ang = {0,0}
			mawaru_operation_cutsize = 8;
			mawaru_operation_lastcut = {0,0}
			mawaru_operation_movetimer = {mawaru_operation_cutsize,mawaru_operation_cutsize}
			
			mawaru_operation_offset = {27,-50};
			
			mawaru_operation_cptr = 1;
			mawaru_operation_cuts = {};
			
			mawaru_operation_firstcut = {true,true}
			
			function mawaru_operation_spawncut(pn)
				local a = mawaru_operation_cuts[mawaru_operation_cptr]
				if a then
					a:visible(true);
					a:x(mawaru_operation_pos[pn][1])
					a:y(mawaru_operation_pos[pn][2])
					a:rotationz(math.deg(mawaru_operation_ang[pn]));
					a:animate(0);
					if mawaru_operation_firstcut[pn] then
						a:setstate(0);
						mawaru_operation_firstcut[pn] = false;
					else
						a:setstate(2);
						if mawaru_operation_lastcut[pn] > 0 then
							mawaru_operation_cuts[ mawaru_operation_lastcut[pn] ]:setstate(1);
						end
						mawaru_operation_lastcut[pn] = mawaru_operation_cptr;
					end
				end
				
				mawaru_operation_cptr = mawaru_operation_cptr+1;
				if mawaru_operation_cptr > table.getn(mawaru_operation_cuts) then
					mawaru_operation_cptr = 1;
				end
			end
			
			mawaru_operation_paused = true;
			
			mawaru_operation_won = {0,0}
			mawaru_operation_alive = {1,1}
			
			mawaru_operation_pos = {{0,0},{0,0}}
			
			function mawaru_operation_numWinners()
				return mawaru_operation_won[1]+mawaru_operation_won[2]
			end
			
			mawaru_operation_border = 4;
			
			mawaru_operation_ptr = 1;
			mawaru_operation_walls = {}
			
			function mawaru_operation_getwall()
				
				if mawaru_operation_ptr > table.getn(mawaru_operation_walls) then
					mawaru_operation_ptr = 1;
				else
					mawaru_operation_ptr = mawaru_operation_ptr+1;
				end
				
				return mawaru_operation_walls[mawaru_operation_ptr]
				
			end
			
			mawaru_operation_map = {};
			
			function mawaru_operation_drawmap(map)
			
				mawaru_operation_map = map;
				
				--[[
				if table.getn(map) > 0 then
					for i=1,table.getn(map) do
						local a = mawaru_operation_getwall();
						if a then
							a:visible(true);
							a:diffuse(0,0,0,1);
							a:x(map[i][1]);
							a:y(map[i][2]);
							a:zoomto(map[i][3],map[i][4]);
							a:aux(map[i][5]);
						end
					end
				end
				]]
				
				table.insert(mawaru_operation_map,{320,240,6,512,0});
				--add collision for dividing line
				
			end
			
		end,
        StartCommand= function(self)
		
		
			mawaru_operation_spd = {{0,0},{0,0}}
			mawaru_operation_maxspd = 2.5*RATEMOD;
			mawaru_operation_accel = 0.5*RATEMOD;
			mawaru_operation_decel = 0.5*RATEMOD;
			mawaru_operation_rspd = 1*RATEMOD;
			
			
		
			local map = {}
			
			mawaru_map_0 = {
				{75,334,32,244,0},
				{112,422,86,32,0},
				{152,379,32,160,0},
				{172,246,229.9,32,0},
				{220,312,125.9,32,0},
				{289,282,32,160,0},
			}
			mawaru_map_1 = {
				{128,282.95,20,103.7,0},
				{191,308.95,20,103.7,0},
				{266,186.95,20,103.7,0},
				{56,393.95,20,103.7,0},
				{105.2,415.95,92.2,21.9,0},
				{155.05,397.95,20.5,21.9,0},
				{174.05,385.95,20.5,21.9,0},
				{186.05,366.95,20.5,21.9,0},
				{226.15,164.95,64.7,21.9,0},
				{198.05,247.95,20.5,21.9,0},
				{183.05,174.95,20.5,21.9,0},
				{148.05,202.95,20.5,21.9,0},
				{135.05,221.95,20.5,21.9,0},
				{93.2,339.95,64.3,21.9,0},
				{213,232.45,20.5,21.9,0},
				{239.05,224.45,38.4,21.9,0},
				{163.05,185.95,20.5,21.9,0}
			}
			mawaru_map_2 = {
				{56.05,258.05,42,44,0},
				{52.05,376.05,42,44,0},
				{152.1,412.05,133.7,16.1,0},
				{82.05,351.05,69.4,16.1,0},
				{156.05,266.05,46.6,42.1,0},
				{193.05,279.05,24,26,0},
				{126.1,188.05,133.7,16.1,0},
				{67.05,286.05,16.7,18.1,0},
				{81.05,218.05,16.7,18.1,0},
				{263,213.05,19.5,128.1,0},
				{219.05,163.05,59.5,16.1,0},
				{127.05,264.05,16.7,18.1,0},
				{154.05,247.05,16.7,18.1,0},
				{201.05,181.05,16.7,18.1,0},
				{102.05,201.05,16.7,18.1,0},
				{219.1,254.05,69.4,16.1,0},
				{198.05,197.05,16.7,18.1,0},
				{243.05,234.05,16.7,18.1,0},
				{227.05,244.05,16.7,18.1,0},
				{251.05,214.05,16.7,18.1,0},
				{145.05,358.05,16.7,18.1,0},
				{129.05,354.05,16.7,18.1,0},
				{80.05,405.05,16.7,18.1,0},
				{209.05,374.05,16.7,70.1,0},
				{168.05,302.05,16.7,18.1,0},
				{188.05,322.05,16.7,18.1,0},
				{200.05,339.05,16.7,18.1,0},
				{195.05,399.05,16.7,18.1,0},
				{79.05,307.05,16.7,18.1,0},
				{93.05,318.05,16.7,18.1,0},
				{110.05,332.05,16.7,18.1,0},
				{134.05,342.05,16.7,18.1,0}
			}
			
			mawaru_operation_spawn = {}
			mawaru_operation_goalpos = {}
			
			for pn = 1,2 do
				local d = 0;
				if pn == 2 then d = 320 end
				local m = {}
				if mawaru_difficulty[pn] < 3 then
					mawaru_operation_spawn[pn] = {112+d,380}
					mawaru_operation_goalpos[pn] = {248+d,280}
					m = mawaru_map_0
					MESSAGEMAN:Broadcast('OpCut0P'..pn)
				else
					mawaru_operation_spawn[pn] = {105+d,380}
					mawaru_operation_goalpos[pn] = {238+d,192}
					if mawaru_difficulty[pn] == 3 or mawaru_difficulty[pn] == 4 then
						m = mawaru_map_1
						MESSAGEMAN:Broadcast('OpCut1P'..pn)
					else
						m = mawaru_map_2
						MESSAGEMAN:Broadcast('OpCut2P'..pn)
					end
				end
				for i=1,table.getn(m) do
					if GAMESTATE:IsPlayerEnabled(pn-1) then
						table.insert(map,{m[i][1]+d,m[i][2],m[i][3],m[i][4],m[i][5]})
					end
				end
			end
			
			for pn=1,2 do
				if GAMESTATE:IsPlayerEnabled(pn-1) then
					_G['mawaru_operation_p'..pn]:visible(true);
					_G['mawaru_operation_p'..pn]:x((mawaru_operation_spawn[pn][1]-10)+mawaru_operation_offset[1]);
					_G['mawaru_operation_p'..pn]:y(mawaru_operation_spawn[pn][2]+mawaru_operation_offset[2]);
					mawaru_operation_pos[pn][1] = (mawaru_operation_spawn[pn][1]-10);
					mawaru_operation_pos[pn][2] = mawaru_operation_spawn[pn][2]
					
					_G['mawaru_operation_goal'..pn]:x(mawaru_operation_goalpos[pn][1])
					_G['mawaru_operation_goal'..pn]:y(mawaru_operation_goalpos[pn][2])
					_G['mawaru_operation_goal'..pn]:visible(true);
					
				else
					_G['mawaru_operation_p'..pn]:visible(false);
				end
			end
			
			mawaru_operation_drawmap(map);
		
			mawaru_operation_won = {0,0}
			
			--variables set up when a game is started
			--wait 2 seconds (for the curtain or whatever) before accepting any inputs
			mawaru_operation_lockinput = {0,0};
			
			self:sleep(0.02);
			self:queuecommand('Update');

		end,
        UpdateCommand= function(self)
			
			--game logic
			
			for pn=1,2 do
				
				if mawaru_operation_lockinput[pn]>0 then
					mawaru_operation_lockinput[pn] = mawaru_operation_lockinput[pn]-0.02
				end
			
				local bpn = pn-1;
				
				str = ''
				
				if pn == 1 then
					str = str .. '\t' .. 'won '..tostring(mawaru_operation_won[pn])
					str = str .. '\t' .. 'alive '..tostring(mawaru_operation_alive[pn])
					str = str .. '\t' .. 'enabled '..tostring(GAMESTATE:IsPlayerEnabled(pn-1))
				end
					
				if GAMESTATE:IsPlayerEnabled(pn-1) and mawaru_operation_won[pn] == 0 and mawaru_operation_alive[pn] == 1 then
					
					if pn == 1 then
						str = str .. '\t' .. 'lockinput '..tostring(mawaru_operation_lockinput[pn])
					end
					
					--controls
					if mawaru_operation_lockinput[pn] <= 0 then
						
						if pn == 1 then
							str = str .. '\t' .. 'keys[1] '..tostring(mawaru_keys[1+(bpn*4)])
							str = str .. '\t' .. 'keys[4] '..tostring(mawaru_keys[4+(bpn*4)])
						end
					
						if mawaru_keys[1+(bpn*4)] == 1 and mawaru_keys[4+(bpn*4)] == 0 then
							if mawaru_operation_spd[pn][1] > -mawaru_operation_maxspd then
								mawaru_operation_spd[pn][1] = mawaru_operation_spd[pn][1]-mawaru_operation_accel;
								str = str .. '\t' .. 'move left';
							end
						elseif mawaru_keys[4+(bpn*4)] == 1 and mawaru_keys[1+(bpn*4)] == 0 then
							if mawaru_operation_spd[pn][1] < mawaru_operation_maxspd then
								mawaru_operation_spd[pn][1] = mawaru_operation_spd[pn][1]+mawaru_operation_accel;
								str = str .. '\t' .. 'move right';
							end
						else
							if math.abs(mawaru_operation_spd[pn][1]) > mawaru_operation_decel then
				mawaru_operation_spd[pn][1] = mawaru_operation_spd[pn][1]-mawaru_operation_accel*(mawaru_operation_spd[pn][1]/math.abs(mawaru_operation_spd[pn][1]));
							else
								mawaru_operation_spd[pn][1] = 0;
							end
						end
						
						if mawaru_keys[3+(bpn*4)] == 1 and mawaru_keys[2+(bpn*4)] == 0 then
							if mawaru_operation_spd[pn][2] > -mawaru_operation_maxspd then
								mawaru_operation_spd[pn][2] = mawaru_operation_spd[pn][2]-mawaru_operation_accel;
							end
						elseif mawaru_keys[2+(bpn*4)] == 1 and mawaru_keys[3+(bpn*4)] == 0 then
							if mawaru_operation_spd[pn][2] < mawaru_operation_maxspd then
								mawaru_operation_spd[pn][2] = mawaru_operation_spd[pn][2]+mawaru_operation_accel;
							end
						else
							if math.abs(mawaru_operation_spd[pn][2]) > mawaru_operation_decel then
				mawaru_operation_spd[pn][2] = mawaru_operation_spd[pn][2]-mawaru_operation_accel*(mawaru_operation_spd[pn][2]/math.abs(mawaru_operation_spd[pn][2]));
							else
								mawaru_operation_spd[pn][2] = 0;
							end
						end
						
						mawaru_operation_pos[pn][1] = mawaru_operation_pos[pn][1]+mawaru_operation_spd[pn][1]
						mawaru_operation_pos[pn][2] = mawaru_operation_pos[pn][2]+mawaru_operation_spd[pn][2]
						
						local xs = mawaru_operation_spd[pn][1]
						local ys = mawaru_operation_spd[pn][2]
						
						mawaru_operation_ang[pn] = math.atan2(ys,xs)
						
						mawaru_operation_movetimer[pn] = mawaru_operation_movetimer[pn]-math.sqrt(xs*xs+ys*ys)
						
						if mawaru_operation_movetimer[pn] <= 0 then
							--spawn cut
							mawaru_operation_spawncut(pn);
							mawaru_operation_movetimer[pn] = mawaru_operation_cutsize
						end
						
					end
					
					if pn == 1 then
						str = str .. '\t' .. 'spd[pn][1] '..tostring(mawaru_operation_spd[pn][1])
					end
					
					--move to the pos
					_G['mawaru_operation_p'..pn]:x(mawaru_operation_pos[pn][1]+mawaru_operation_offset[1]);
					_G['mawaru_operation_p'..pn]:y(mawaru_operation_pos[pn][2]+mawaru_operation_offset[2]);
					
					--Trace(str);
					
					--hit detection
					local bhit = false
					
					if table.getn(mawaru_operation_map) > 0 then
						for j=1,table.getn(mawaru_operation_map) do
						
							local wid = 12;
							
							if mawaru_difficulty[pn] < 4 then
								wid = 3
							end
							
							local pos = {mawaru_operation_pos[pn][1],mawaru_operation_pos[pn][2]}
							local c = mawaru_operation_map[j]
							if mawaru_hittest(pos[1],pos[2],wid,wid,c[1],c[2],c[3],c[4]) then
								bhit = true;
							end
								
						end
					end
					
					if bhit then
						mawaru_operation_alive[pn] = 0;
						Sound('zap');
						_G['mawaru_operation_p'..pn]:diffuseblink();
						_G['mawaru_operation_p'..pn]:effectcolor1(.5,.5,.5,1);
						_G['mawaru_operation_p'..pn]:effectcolor2(1,.5,.5,1);
						_G['mawaru_operation_p'..pn]:effectperiod(0.1);
					end
					
					--check goal distance
					local dx = math.abs(mawaru_operation_pos[pn][1]-mawaru_operation_goalpos[pn][1])
					local dy = math.abs(mawaru_operation_pos[pn][2]-mawaru_operation_goalpos[pn][2])
					if math.sqrt((dx*dx)+(dy*dy)) < 15 then
						mawaru_operation_won[pn] = 1;
						Sound('tadaaa');
						--_G['mawaru_operation_p'..pn]:spin();
						_G['mawaru_operation_p'..pn]:decelerate(0.5/RATEMOD);
						_G['mawaru_operation_p'..pn]:x(mawaru_operation_goalpos[pn][1]+mawaru_operation_offset[1]);
						_G['mawaru_operation_p'..pn]:y(mawaru_operation_goalpos[pn][2]+mawaru_operation_offset[2]-80);
						_G['mawaru_operation_p'..pn]:zoom(1.4);
					end
					
				end
				
			end
			
			self:sleep(0.02);
			if mawaru_curgame == 4 and mawaru_gamestate == 1 then
				self:queuecommand('Update');
			end
			
		end,
      },
      Def.Sprite{
        Name= "actor_jlb",--Unconverted x & y pos. -Kid
        OnCommand= cmd(x,160;y,240),
        Texture= "bg.png",
      },
      Def.Sprite{
        Name= "actor_klb",--Unconverted x & y pos. -Kid
        OnCommand= cmd(x,480;y,240),
        Texture= "bg.png",
      },
      Def.ActorFrame{
        Name= "actor_llb",
        InitCommand= function(self) mawaru_operation_goal1 = self end,
        OnCommand= cmd(visible,false),
      },
      Def.ActorFrame{
        Name= "actor_mlb",
        InitCommand= function(self) mawaru_operation_goal2 = self end,
        OnCommand= cmd(visible,false),
      },
      Def.Sprite{
        Name= "actor_nlb",
        OnCommand= cmd(visible,false;x,160;y,240),--Unconverted x & y pos. -Kid
        OpCut0P1MessageCommand= cmd(visible,true),
        Texture= "cut_0.png",
      },
      Def.Sprite{
        Name= "actor_olb",
        OnCommand= cmd(visible,false;x,480;y,240),--Unconverted x & y pos. -Kid
        OpCut0P2MessageCommand= cmd(visible,true),
        Texture= "cut_0.png",
      },
      Def.Sprite{
        Name= "actor_plb",
        OnCommand= cmd(visible,false;x,160;y,240),--Unconverted x & y pos. -Kid
        OpCut1P1MessageCommand= cmd(visible,true),
        Texture= "cut_1.png",
      },
      Def.Sprite{
        Name= "actor_qlb",
        OnCommand= cmd(visible,false;x,480;y,240),--Unconverted x & y pos. -Kid
        OpCut1P2MessageCommand= cmd(visible,true),
        Texture= "cut_1.png",
      },
      Def.Sprite{
        Name= "actor_rlb",
        OnCommand= cmd(visible,false;x,160;y,240),--Unconverted x & y pos. -Kid
        OpCut2P1MessageCommand= cmd(visible,true),
        Texture= "cut_2.png",
      },
      Def.Sprite{
        Name= "actor_slb",
        OnCommand= cmd(visible,false;x,480;y,240),--Unconverted x & y pos. -Kid
        OpCut2P2MessageCommand= cmd(visible,true),
        Texture= "cut_2.png",
      },
      Def.Sprite{
        Name= "actor_tlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ulb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ylb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Alb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Blb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Clb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dlb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Elb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Flb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_amb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_cmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_emb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_imb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_kmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_omb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_pmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_smb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_umb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ymb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Amb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Cmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Emb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fmb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_anb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_cnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_enb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_inb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_knb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_onb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_pnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_snb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_unb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ynb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_znb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Anb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Cnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Enb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fnb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_aob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_cob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_eob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_iob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_job",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_kob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_oob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_pob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_sob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_uob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_yob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Aob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Cob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Eob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fob",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_apb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_cpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_epb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ipb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_kpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_npb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_opb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ppb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_spb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_upb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ypb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Apb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Cpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Epb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fpb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_aqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_cqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_eqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_iqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_kqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_oqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_pqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_sqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_uqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_yqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Aqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Cqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Eqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fqb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_arb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_brb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_crb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_drb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_erb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_frb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_grb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_irb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_krb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_orb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_prb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_srb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_trb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_urb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_yrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zrb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Arb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Brb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Crb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Drb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Erb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Frb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_asb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_bsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_csb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_esb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_fsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_hsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_isb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ksb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_lsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_msb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_nsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_osb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_psb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ssb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_tsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_usb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_vsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_wsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_xsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ysb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_zsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Asb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Bsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Csb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Dsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Esb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_Fsb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_atb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_btb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ctb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_dtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_etb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ftb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_gtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_htb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_itb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_jtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ktb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ltb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_mtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ntb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_otb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_ptb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_qtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_rtb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.Sprite{
        Name= "actor_stb",
        OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_cuts,self) end,
        Texture= "wound 3x1.png",
      },
      Def.ActorFrame{
        Name= "actor_ttb",
        InitCommand= cmd(),
        Def.Quad{
          Name= "actor_utb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_vtb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_wtb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_xtb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_ytb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_ztb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Atb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Btb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Ctb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Dtb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Etb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Ftb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_aub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_bub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_cub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_dub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_eub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_fub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_gub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_hub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_iub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_jub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_kub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_lub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_mub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_nub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_oub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_pub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_qub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_rub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_sub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_tub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_uub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_vub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_wub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_xub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_yub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_zub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Aub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Bub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Cub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Dub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Eub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_Fub",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_avb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_bvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_cvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_dvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_evb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_fvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_gvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_hvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_ivb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_jvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_kvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_lvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_mvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_nvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_ovb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_pvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_qvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_rvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_svb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
        Def.Quad{
          Name= "actor_tvb",
          OnCommand= function(self) self:visible(false) table.insert(mawaru_operation_walls,self) end,
        },
      },
      Def.Sprite{
        Name= "actor_uvb",
        InitCommand= function(self) mawaru_operation_p1 = self end,
        OnCommand= cmd(visible,false),
        Texture= "scalpel.png",
      },
      Def.Sprite{
        Name= "actor_vvb",
        InitCommand= function(self) mawaru_operation_p2 = self end,
        OnCommand= cmd(visible,false),
        Texture= "scalpel.png",
      },
      Def.Quad{
        Name= "actor_wvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox0 = self end,
      },
      Def.Quad{
        Name= "actor_xvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox1 = self end,
      },
      Def.Quad{
        Name= "actor_yvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox2 = self end,
      },
      Def.Quad{
        Name= "actor_zvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox3 = self end,
      },
      Def.Quad{
        Name= "actor_Avb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox4 = self end,
      },
      Def.Quad{
        Name= "actor_Bvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox5 = self end,
      },
      Def.Quad{
        Name= "actor_Cvb",
        OnCommand= function(self) self:visible(false) mawaru_hitbox6 = self end,
      },
      Def.Quad{
        Name= "actor_Dvb",--Unconverted x & y pos. -Kid
        OnCommand= cmd(x,320;y,240;zoomto,6,640;diffuse,color('0,0,0,1')),
      },
      optional_actor(cond_dlb_result,
      Def.Quad{
        Name= "actor_Evb",--Unconverted x & y pos. -Kid
        OnCommand= cmd(x,160;y,240;zoomto,320,640;diffuse,color('0,0,0,1')),
      }),
      optional_actor(cond_elb_result,
      Def.Quad{
        Name= "actor_Fvb",--Unconverted x & y pos. -Kid
        OnCommand= cmd(x,480;y,240;zoomto,320,640;diffuse,color('0,0,0,1')),
      }),
      Def.Quad{
        Name= "actor_awb",
        InitCommand= function(self) mawaru_operation_controller = self end,
        OnCommand= cmd(visible,false),
      },
      Def.Quad{
        Name= "actor_bwb",
        OnCommand= cmd(visible,false),
        PauseCommand= function(self) mawaru_operation_paused = true end,
      },
    },
  },
}
